// #autoload
// #name = UT2K3DominatingSounds
// #version = 0.1
// #date = Jan 24, 2003
// #author = ilys
// #warrior = ilys
// #description = Plays a different sound when you kill someone for how many kills you have made in total.
// #status = beta
// #category = ilys' Scripts
// #include = support/callback.cs
// #include = support/kill_callbacks.cs

$totalUT2K3DominatingSoundskills = 0;

function UT2K3Dominatingcheckkillcallback(%msgtype, %killerRef, %victimRef, %weapon, %i_die, %i_win, %suicide, %tk)
{
	if(%i_die)
	{
		$totalUT2K3DominatingSoundskills = 0;
	}
	if(%i_win && %tk)
	{
		$totalUT2K3DominatingSoundskills = 0;
	}
	if(%i_win && !%i_die && !%tk)
	{
		$totalUT2K3DominatingSoundskills++;
		switch ($totalUT2K3DominatingSoundskills)
		{
			case 5:
				alxPlay(alxCreateSource(AudioChat, "killingspree.wav"));
			case 10:
				alxPlay(alxCreateSource(AudioChat, "rampage.wav"));
			case 15:
				alxPlay(alxCreateSource(AudioChat, "dominating.wav"));
			case 20:
				alxPlay(alxCreateSource(AudioChat, "unstoppable.wav"));
			case 25:
				alxPlay(alxCreateSource(AudioChat, "godlike.wav"));
			case 30:
				alxPlay(alxCreateSource(AudioChat, "whickedsick.wav"));
		}
	}
}

function UT2K3DominatingSoundsMatchStart(%msgType, %msgString)
{
	if(strstr(%msgString, "Match started!") != -1)
	{
		$totalUT2K3DominatingSoundskills = 0;
	}
}

function UT2K3DominatingSoundsClientJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid)
{
	if(StrStr(%msgString, "Welcome to Tribes") != -1)
	{
		$totalUT2K3DominatingSoundskills = 0;
	}
}

package UT2K3DominatingSounds
{
function PlayGui::onWake(%this)
{
	callback.add(CallbackMsgClientJoin, "UT2K3DominatingSoundsClientJoin");
	callback.add(CallbackMsgMissionStart, "UT2K3DominatingSoundsMatchStart");
	callback.add(killcallback, "UT2K3Dominatingcheckkillcallback");

	parent::onWake(%this);
}
};

activatePackage(UT2K3DominatingSounds);
